from pathlib import Path

from day1 import common

TEST_FILE = Path(__file__).parent / "test-data"


def test_get_lists():
    assert common.get_lists(TEST_FILE)[0] == [3, 4, 2, 1, 3, 3]
    assert common.get_lists(TEST_FILE)[1] == [4, 3, 5, 3, 9, 3]


def test_get_sorted_lists():
    assert common.get_ordered_lists(TEST_FILE)[0] == [1, 2, 3, 3, 3, 4]
    assert common.get_ordered_lists(TEST_FILE)[1] == [3, 3, 3, 4, 5, 9]
